<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Stream (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Stream (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":9,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Stream.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hdgf/streams/PointerContainingStream.html"
               title="class in org.apache.poi.hdgf.streams"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hdgf/streams/StreamStore.html"
               title="class in org.apache.poi.hdgf.streams"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hdgf/streams/Stream.html" target="_top">Frames</a></li>
        <li><a href="Stream.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hdgf.streams</div>
    <h2 title="Class Stream" class="title">Class Stream</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hdgf.streams.Stream</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../org/apache/poi/hdgf/streams/ChunkStream.html"
                           title="class in org.apache.poi.hdgf.streams">ChunkStream</a>, <a
                            href="../../../../../org/apache/poi/hdgf/streams/PointerContainingStream.html"
                            title="class in org.apache.poi.hdgf.streams">PointerContainingStream</a>, <a
                            href="../../../../../org/apache/poi/hdgf/streams/StringsStream.html"
                            title="class in org.apache.poi.hdgf.streams">StringsStream</a>, <a
                            href="../../../../../org/apache/poi/hdgf/streams/UnknownStream.html"
                            title="class in org.apache.poi.hdgf.streams">UnknownStream</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public abstract class <span class="typeNameLabel">Stream</span>
extends java.lang.Object</pre>
                <div class="block">Base of all Streams within a HDGF document.
                    Streams are what hold the data (the metadata of a stream
                    is held in the pointer that points to the stream).
                    A stream may be stored compressed or un-compressed on the
                    disk, but that doesn't appear to change their use.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hdgf/streams/Stream.html#Stream-org.apache.poi.hdgf.pointers.Pointer-org.apache.poi.hdgf.streams.StreamStore-">Stream</a></span>(<a
                                        href="../../../../../org/apache/poi/hdgf/pointers/Pointer.html"
                                        title="class in org.apache.poi.hdgf.pointers">Pointer</a>&nbsp;pointer,
                                    <a href="../../../../../org/apache/poi/hdgf/streams/StreamStore.html"
                                       title="class in org.apache.poi.hdgf.streams">StreamStore</a>&nbsp;store)</code>
                                    <div class="block">Creates a new Stream, having already used the pointer
                                        to build a store
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hdgf/streams/Stream.html#Z:Z_getContentsLength--">_getContentsLength</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hdgf/streams/StreamStore.html"
                                        title="class in org.apache.poi.hdgf.streams">StreamStore</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hdgf/streams/Stream.html#Z:Z_getStore--">_getStore</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hdgf/streams/Stream.html"
                                        title="class in org.apache.poi.hdgf.streams">Stream</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hdgf/streams/Stream.html#createStream-org.apache.poi.hdgf.pointers.Pointer-byte:A-org.apache.poi.hdgf.chunks.ChunkFactory-org.apache.poi.hdgf.pointers.PointerFactory-">createStream</a></span>(<a
                                        href="../../../../../org/apache/poi/hdgf/pointers/Pointer.html"
                                        title="class in org.apache.poi.hdgf.pointers">Pointer</a>&nbsp;pointer,
                                    byte[]&nbsp;documentData,
                                    <a href="../../../../../org/apache/poi/hdgf/chunks/ChunkFactory.html"
                                       title="class in org.apache.poi.hdgf.chunks">ChunkFactory</a>&nbsp;chunkFactory,
                                    <a href="../../../../../org/apache/poi/hdgf/pointers/PointerFactory.html"
                                       title="class in org.apache.poi.hdgf.pointers">PointerFactory</a>&nbsp;pointerFactory)</code>
                                    <div class="block">Uses the pointer to locate a Stream within the document
                                        data, and creates it.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hdgf/pointers/Pointer.html"
                                        title="class in org.apache.poi.hdgf.pointers">Pointer</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hdgf/streams/Stream.html#getPointer--">getPointer</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/hdgf/streams/StreamStore.html"
                                        title="class in org.apache.poi.hdgf.streams">StreamStore</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hdgf/streams/Stream.html#getStore--">getStore</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="Stream-org.apache.poi.hdgf.pointers.Pointer-org.apache.poi.hdgf.streams.StreamStore-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>Stream</h4>
                                <pre>protected&nbsp;Stream(<a
                                        href="../../../../../org/apache/poi/hdgf/pointers/Pointer.html"
                                        title="class in org.apache.poi.hdgf.pointers">Pointer</a>&nbsp;pointer,
                 <a href="../../../../../org/apache/poi/hdgf/streams/StreamStore.html"
                    title="class in org.apache.poi.hdgf.streams">StreamStore</a>&nbsp;store)</pre>
                                <div class="block">Creates a new Stream, having already used the pointer
                                    to build a store
                                </div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getPointer--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPointer</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hdgf/pointers/Pointer.html"
                                                    title="class in org.apache.poi.hdgf.pointers">Pointer</a>&nbsp;getPointer()</pre>
                            </li>
                        </ul>
                        <a name="getStore--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getStore</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../org/apache/poi/hdgf/streams/StreamStore.html"
                                        title="class in org.apache.poi.hdgf.streams">StreamStore</a>&nbsp;getStore()</pre>
                            </li>
                        </ul>
                        <a name="Z:Z_getStore--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>_getStore</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hdgf/streams/StreamStore.html"
                                                    title="class in org.apache.poi.hdgf.streams">StreamStore</a>&nbsp;_getStore()</pre>
                            </li>
                        </ul>
                        <a name="Z:Z_getContentsLength--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>_getContentsLength</h4>
                                <pre>public&nbsp;int&nbsp;_getContentsLength()</pre>
                            </li>
                        </ul>
                        <a name="createStream-org.apache.poi.hdgf.pointers.Pointer-byte:A-org.apache.poi.hdgf.chunks.ChunkFactory-org.apache.poi.hdgf.pointers.PointerFactory-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>createStream</h4>
                                <pre>public static&nbsp;<a href="../../../../../org/apache/poi/hdgf/streams/Stream.html"
                                                           title="class in org.apache.poi.hdgf.streams">Stream</a>&nbsp;createStream(<a
                                        href="../../../../../org/apache/poi/hdgf/pointers/Pointer.html"
                                        title="class in org.apache.poi.hdgf.pointers">Pointer</a>&nbsp;pointer,
                                  byte[]&nbsp;documentData,
                                  <a href="../../../../../org/apache/poi/hdgf/chunks/ChunkFactory.html"
                                     title="class in org.apache.poi.hdgf.chunks">ChunkFactory</a>&nbsp;chunkFactory,
                                  <a href="../../../../../org/apache/poi/hdgf/pointers/PointerFactory.html"
                                     title="class in org.apache.poi.hdgf.pointers">PointerFactory</a>&nbsp;pointerFactory)</pre>
                                <div class="block">Uses the pointer to locate a Stream within the document
                                    data, and creates it.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>pointer</code> - The Pointer to create a stream for</dd>
                                    <dd><code>documentData</code> - The raw document data</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Stream.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hdgf/streams/PointerContainingStream.html"
               title="class in org.apache.poi.hdgf.streams"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hdgf/streams/StreamStore.html"
               title="class in org.apache.poi.hdgf.streams"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hdgf/streams/Stream.html" target="_top">Frames</a></li>
        <li><a href="Stream.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
